# Intel® Enhanced Privacy ID SDK: epid/member/decompress_privkey.c File Reference

decompress_privkey.c File Reference

EpidDecompressPrivKey implementation. More...

`#include "epid/member/api.h"`
`#include "epid/common/memory.h"`
`#include "epid/common/epid2params.h"`
`#include "epid/common/math/bignum-internal.h"`
`#include "epid/common/math/hash.h"`
`#include "epid/member/privkey.h"`

## Macros

#define | BREAK_ON_EPID_ERROR(ret)
| Handle Intel(R) EPID Error with Break. More...

## Functions

EpidStatus | EpidDecompressPrivKey (GroupPubKey const *pub_key, CompressedPrivKey const *compressed_privkey, PrivKey *priv_key)
| Decompresses compressed member private key. More...

## Detailed Description

EpidDecompressPrivKey implementation.

## Macro Definition Documentation

#define BREAK_ON_EPID_ERROR | ( |  | ret | ) |

Value:
if (kEpidNoErr != (ret)) { \
break; \
}
kEpidNoErr
no error
Definition: errors.h:41

Handle Intel(R) EPID Error with Break.